<p align="center">

<a href="https://github.com/update/update">
<img height="150" width="150" src="https://raw.githubusercontent.com/update/update/master/docs/logo.png">
</a>
</p>

Update missing git tags.

# updater-git-tags

[![NPM version](https://img.shields.io/npm/v/updater-git-tags.svg?style=flat)](https://www.npmjs.com/package/updater-git-tags) [![NPM downloads](https://img.shields.io/npm/dm/updater-git-tags.svg?style=flat)](https://npmjs.org/package/updater-git-tags) [![Build Status](https://img.shields.io/travis/update/updater-git-tags.svg?style=flat)](https://travis-ci.org/update/updater-git-tags)

![updater-git-tags demo](https://raw.githubusercontent.com/update/updater-git-tags/master/docs/demo.gif)

## What is "Update"?

[Update](https://github.com/update/update) is a new, open-source developer framework for automating updates of any kind to code projects. All actual updating is done plugins called "updaters", like this one.

Updaters can be run from the command line when [Update's CLI](https://github.com/update/update/blob/master/docs/installing-the-cli.md) is installed globally, or they can be used as building blocks for creating other [updaters](https://github.com/update/update/blob/master/docs/updaters.md).

**For more information:**

* Visit the [update project](https://github.com/update/update)
* Visit the [update documentation](https://github.com/update/update/blob/master/docs/)
* Find [updaters on npm](https://www.npmjs.com/browse/keyword/update-updater) (help us [author updaters](https://github.com/update/update/blob/master/docs/updaters.md))

## Tasks

Tasks are modularized in an effort to make it as easy as possible for you to create your own a-la-carte updater experience. As such:

* some tasks update one specific file
* some tasks update multiple files
* some tasks are just aliases for running "groups" of tasks

**Running tasks**

To run a task, just run `$ update git-tags:` followed by the name of the task to run. For example, either of the following commands can be used to run the `git-tags` task:

```sh
$ update updater-git-tags:git-tags
$ update updater-git-tags:default
```

### Available tasks

#### [default](updatefile.js#L19)

Update the git tags for a project. This task is an alias for the [git-tags](#git-tags) task, to allow running this updater with the following command:

**Example**

```sh
$ update git-tags
```

#### [git-tags](updatefile.js#L32)

Update the git tags for a project. Also aliased as the [default](#default) task. This will only find missing git tags if there is a git commit with a version number.

**Example**

```sh
$ update git-tags:git-tags
```

## Next steps

### Running unit tests

It's never too early to begin running unit tests. When you're ready to get started, the following command will ensure the project's dependencies are installed then run all of the unit tests:

```sh
$ npm install && test
```

### Publishing your project

If you're tests are passing and you're ready to publish your project to [npm](https://www.npmjs.com), you can do that now with the following command:

**Are you sure you're ready?!**

```sh
$ npm publish
```

## About

### Community

Are you using [Update](https://github.com/update/update) in your project? Have you published an [updater](https://github.com/update/update/blob/master/docs/updaters.md) and want to share your Update project with the world?

Here are some suggestions!

* If you get like Update and want to tweet about it, please use the hashtag `#updatejs` (not `@`)
* Show your love by starring [Update](https://github.com/update/update) and `updater-git-tags`
* Get implementation help on [StackOverflow](http://stackoverflow.com/questions/tagged/update) (please use the `updatejs` tag in questions)
* **Gitter** Discuss Update with us on [Gitter](https://gitter.im/update/update)
* If you publish an updater, thank you! To make your project as discoverable as possible, please add the keyword `updateupdater` to package.json.

### Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](../../issues/new).

### Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

### Author

**Brian Woodward**

* [github/doowb](https://github.com/doowb)
* [twitter/doowb](http://twitter.com/doowb)

### License

Copyright © 2016, [Brian Woodward](https://github.com/doowb).
Released under the [MIT license](LICENSE).

***

_This file was generated by [verb-generate-readme](https://github.com/verbose/verb-generate-readme), v0.2.0, on November 01, 2016._